Summary: The GIMP Animation Package.
Summary(ja): GIMP アニメーションパッケージ
Name: gimp-gap
Version: 2.2.2
%define gapmajorver %(echo %version | sed 's|\\..*||g')
%define gapminorver %(echo %version | sed 's|^%{gapmajorver}\\.||g;s|\\..*||g')
%define gapmicrover %(echo %version | sed 's|^%{gapmajorver}\\.%{gapminorver}\\.||g;s|\\..*||g')
Release: 0vl1
Group: Applications/Multimedia
License: GPL
URL: http://www.gimp.org
Source: ftp://ftp.gimp.org/pub/gimp/plug-ins/v2.2/gap/gimp-gap-%{version}.tar.bz2
Patch0: gimp-gap-2.0.0-buildroot.patch
Patch1: gimp-gap-2.0.2-arrayindex.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gimp-devel >= 2.2.7-0vl2 automake sed
Requires: gimp >= 2.2.0

%description
The GIMP-GAP (GIMP Animation Package) is a collection of Plug-Ins to
extend GIMP 2.0 with capabilities to edit and create animations as
sequences of single frames.

%prep
%setup -q
%patch0 -p1 -b .buildroot
%patch1 -p1 -b .arrayindex

%build
%define gapplugindir %(gimptool --gimpplugindir)/plug-ins
%define scriptdatadir %(gimptool --gimpdatadir)/scripts
%define gaplibexecdir %{_libexecdir}/gimp-gap-%{gapmajorver}.%{gapminorver}
aclocal
automake
autoconf

%configure --disable-libavformat
make %{?_smp_mflags} gapplugindir=%{gapplugindir} \
    scriptdatadir=%{scriptdatadir} gaplibexecdir=%{gaplibexecdir} || \
    make gapplugindir=%{gapplugindir} gaplibexecdir=%{gaplibexecdir}

%install
rm -rf %{buildroot}
%makeinstall gapplugindir=%{buildroot}%{gapplugindir} scriptdatadir=%{buildroot}%{scriptdatadir} gaplibexecdir=%{buildroot}%{gaplibexecdir}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{gapplugindir}/*
%{gaplibexecdir}/*
%{scriptdatadir}/*
%{_libexecdir}/gap_*
%{_datadir}/locale/*/*/*

%changelog
* Fri Aug 17 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.2.2-0vl1
- new upstream release
- rebuilt with new toolchain

* Sun May 15 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.2-4vl1
- rebuild for Vine Linux

* Wed Mar 02 2005 Nils Philippsen <nphilipp@redhat.com>
- rebuild with gcc 4.0

* Fri Oct 22 2004 Nils Philippsen <nphilipp@redhat.com>
- fix array out of bounds error (#136758)

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May 25 2004 Nils Philippsen <nphilipp@redhat.com>
- version 2.0.2

* Wed Apr 14 2004 Nils Philippsen <nphilipp@redhat.com>
- version 2.0.0
- initial build

